﻿package MT::Plugin::SmartReturn;
use strict;

use MT;
require MT::Plugin;

our $VERSION = '0.0.1';

@MT::Plugin::SmartReturn::ISA = qw(MT::Plugin);

my $plugin = new MT::Plugin::SmartReturn({
    name => 'SmartReturn',
    version => $VERSION,
    description => 'Clean up the line feed code.',
    author_name => 'Junnama Noda',
    author_link => 'http://junnama.alfasado.net/online/',
});

MT->add_plugin($plugin);
MT->add_callback('BuildPage', 9, $plugin, \&_SmartReturn);

sub _SmartReturn {
    my ($eh, %args) = @_;
    my $content = $args{'Content'};
    $$content =~ s/\t/    /g;
    $$content =~ s/\n\s{1,}?\n/\n/g;
    $$content =~ s/\n{1,}/\n/g;
    $$content =~ s/\n\s{1,}?\n/\n/g;
    $$content =~ s/\n{1,}/\n/g;
}

1;
